<?php

namespace Meibuyu\Rpc\Service\Interfaces\Notice;

interface FactoryNoticeServiceInterface
{

    /**
     * 分页
     * @param $userInfo
     * @param $params
     * @return array
     * @author chentianyu
     */
    public function page($userInfo,$params):array;

    /**
     * 未读列表
     * @param $userInfo
     * @param $params
     * @return array
     * @author chentianyu
     */
    public function unReadList($userInfo,$params):array;

    /**
     * 查看
     * @param $userInfo
     * @param $params
     * @return array
     * @author chentianyu
     */
    public function show($userInfo,$params):array;

    /**
     * 下一条未读的记录
     * @param $userInfo
     * @param $params
     * @return array
     * @author chentianyu
     */
    public function nextUnRead($userInfo,$params):array;

    /**
     * 标记为已读
     * @param $userInfo
     * @param $params
     * @return array
     * @author chentianyu
     */
    public function markRead($userInfo,$params):array;

    /**
     * 获取用户已读工厂公告
     * @param $userInfo
     * @return array
     * @author chentianyu
     */
    public static function getReadNotices($userInfo):array;

    /**
     * 打包下载
     * @param $noticeId
     * @return array
     * @author chentianyu
     */
    public function pack($noticeId):array;


}
